'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgFunnel = function SvgFunnel(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Funnel_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M38.435 6.002c-8.328.001-16.645.584-24.897 1.744C2 9.55 2 11.826 2 12.58a1.843 1.843 0 0 0 .594 1.351l.034.036 32.018 39.476v18.048c-.025.314.012.63.11.928.096.298.251.572.454.806.197.235.44.425.712.556.269.133.56.208.859.219h6.38a2.25 2.25 0 0 0 1.562-.79c.4-.466.606-1.08.572-1.704V53.443l.084-.096 32.012-39.4a1.9 1.9 0 0 0 .457-.638c.099-.23.15-.48.152-.734 0-2.04-3.774-3.605-11.543-4.83a179 179 0 0 0-26.501-1.738zM43.2 72.664h-6.434c-.49 0-.834-.51-.834-1.173V53.204a.64.64 0 0 0-.153-.418L5.686 15.656l1.074.31c2.206.64 4.45 1.122 6.719 1.444a177 177 0 0 0 26.501 1.738 179 179 0 0 0 26.502-1.738 49 49 0 0 0 6.748-1.444l1.075-.31-30.09 37.125a.62.62 0 0 0-.156.418V71.49c-.025.648-.398 1.173-.86 1.173m-3.22-54.847c-21.907 0-33.779-2.707-36.115-4.41l-.059-.057-.57-.673.07-.199c.74-2.142 13.903-5.1 36.674-5.1 13.094 0 21.795.975 26.786 1.79 2.822.46 9.438 1.709 9.9 3.325l.053.184-.545.617C73.81 15.171 61 17.817 39.98 17.817"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Funnel_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgFunnel;
